Summary: Automatically update your machine daily via yum
Name: yum-autoupdate
Version: 2
Release: 6.slf
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}-slf.tar.gz
URL: http://fermilinux.fnal.gov/
BuildRoot: %{_tmppath}/%{name}-%{version}root
Requires: yum mailx /etc/cron.daily
BuildArchitectures: noarch
Epoch: 31

%description
Automatically update your machine daily via yum.  If anything is updated,
it is logged in the yum.log and you are sent an email. 
The configuration file is in /etc/sysconfig/yum-autoupdate and most
behavior can be customized.

%prep
%setup -q -n %{name}-%{version}-slf

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%config %{_sysconfdir}/cron.daily/yum-autoupdate
%config(noreplace) %{_sysconfdir}/sysconfig/yum-autoupdate
%config /etc/yum.repos.d/fermi-addons.repo

%changelog
* Thu Oct 6 2011 Connie Sieh <csieh@fnal.gov> 2-6.slf
- Changed slf6rolling to slf6.1

* Thu Sep 29 2011 Connie Sieh <csieh@fnal.gov> 2-4.2.slf
- Changed gpgcheck=0 to gpgcheck=1 in /etc/yum.repos.d/fermi-addons.repo 

* Wed Sep 21 2011 Pat Riehecky <riehecky@fnal.gov> 2-4.1.slf
- added mailx dependency as it was missing
- added /etc/cron.daily dependency as it should ensure cron is installed
   I doubt it would be missing, but since it is required may as well require it

* Thu Sep 01 2011 Troy Dawson <dawson@fnal.gov> 2-4.slf
- Fixed debug bug

* Mon Aug 15 2011 Troy Dawson <dawson@fnal.gov> 2-3.slf
- Added variables "SENDEMAIL" and "SENDONLYERRORS"

* Tue Aug 09 2011 Troy Dawson <dawson@fnal.gov> 2-2.slf
- Added the emergency addons repository to autoupdate
- Put code in autoupdate for emergency addons

* Wed Apr 20 2011 Troy Dawson <dawson@fnal.gov> 2-2
- Fix a security issue with the tmp configuration files.
  Patch provided by Juergen Salk

* Wed Feb 16 2011 Troy Dawson <dawson@fnal.gov> 2-1
- Put the GPL and copyright stuff in the script.

* Mon Jan 24 2011 Troy Dawson <dawson@fnal.gov> 2-0.1.rolling.SL6
- Changed yum-autoupdate to use a configuration file in /etc/sysconfig
instead of separate files scattered around.  Admins can change the
variables ENABLED, MAILTO, EXCLUDE, MAXWAITTIME, CONFIGFILE, DEBUG
